EsounD: The Enlightened Sound Daemon
Prev | Chapter 3. Running EsounD | Next

# 3.4. esdsample, esdloop

esdsample is test scaffolding for sample cache, play back, and free. esdloop is test scaffolding for sample cache, loop, and free. These utilities have no practical purpose beyond testing sample functionality.

esdsample `[options] file`

esdloop `[options] file`

option | purpose
--- | ---
-s SERVER | communicate with esound running at SERVER
-b | read/write 8 bit sample data
-m | read/write mono data
-r RATE | use a sampling rate of RATE

options: -s server = communicate with esound running at server -b = 8 bit unsigned char -m = mono -r rate = sample rate of rate Hz.

options for esdsample and esdloop default to 16 bit signed short, stereo, 44.1kHz

Prev | Home | Next
esdcat, esdmon, esdrec | Up | Environment Variables